## galette-plugin-maps 1.2

=== lang/Makefile ===
.SUFFIXES = .mo .po
INSTALLDIR = .
LANGUAGES = en_US fr_FR.utf8
PACKAGE = galette_maps
MKLANG = ../../../lang/make_lang_l12n.py
PHP_SOURCES = $(shell find ../ -maxdepth 1 -name \*.php) \
              $(shell find ../lib/GaletteMaps/ -name \*.php) \
              $(shell find ../templates -name \*.tpl)


all : messages.po lang
	@echo "Génération des fichiers *.po :"
	@for l in ${LANGUAGES}; do \
	  echo -n "  Mise à jour de $$l.po"; \
	  msgmerge -U $$l.po messages.po >/dev/null ; \
	  mkdir -p ${INSTALLDIR}/$$l/LC_MESSAGES; \
	  echo "    formatage de ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo."; \
	  msgfmt $$l.po -o ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo.new; \
	  if diff -qI 'PO-Revision-Date:.*' ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo.new ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo > /dev/null; then \
	    echo "    ${PACKAGE}.mo non mis à jour."; \
	    rm ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo.new; \
	  else \
	    echo "    ${PACKAGE}.mo mis à jour."; \
	    mv ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo.new ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo; \
	  fi; \
	done


lang :
	@echo "Génération des fichiers lang_*.php"
	@echo "  Mise à jour de lang_english.php"
	@echo "    extraction des chaines..."
	@${MKLANG} en_US.po lang_english.php.new
	@if diff -qI 'This file was automatically generated.*' lang_english.php lang_english.php.new > /dev/null; then \
	  echo "    lang_english.php non mis à jour."; \
	  rm lang_english.php.new; \
	else \
	  echo "    lang_english.php mis à jour."; \
	  mv lang_english.php.new lang_english.php; \
	fi;

	@echo "  Mise à jour de lang_french.php"
	@echo "    extraction des chaines..."
	@${MKLANG} fr_FR.utf8.po lang_french.php.new
	@if diff -qI 'This file was automatically generated.*' lang_french.php lang_french.php.new > /dev/null; then \
	  echo "    lang_french.php non mis à jour."; \
	  rm lang_french.php.new; \
	else \
	  echo "    lang_french.php mis à jour."; \
	  mv lang_french.php.new lang_french.php; \
	fi;

messages.po : ${PHP_SOURCES} Makefile xgettext.py
	./xgettext.py ${PHP_SOURCES}

check:
	@for FILE in ${PHP_SOURCES}; do				\
		test -f $$FILE || echo "Not found $$FILE";	\
	done
	@for NFILE in ../*.php ../includes/*.php		\
			../templates/default/*.tpl; do		\
		for OFILE in ${PHP_SOURCES}; do			\
			if [ "$$NFILE" = "$$OFILE" ]; then	\
				unset NFILE;			\
				break;				\
			fi;					\
		done;						\
		test -z "$$NFILE" || echo "Missing $$NFILE";	\
	done

## galette-plugin-maps 1.1.2

=== debian/changelog ===
galette-plugin-maps (1.1.2-1) unstable; urgency=medium

  * New upstream release
  * Split line in changelog
  * Fixed vcs-browser (wrong url)

 -- François-Régis Vuillemin <frv-debian@miradou.com>  Thu, 06 Mar 2014 14:09:43 +0100

galette-plugin-maps (1.1.0-1) unstable; urgency=medium

  * Initial release  (Closes: #736961)
  * Change maintainer in control, copyright and changelog
  * Fixed typo on depends: galette 0.7.8
  * Improve readability of rules
  * Recreate changelog
  * Fixed error on make variable + update standards version
  * Update canonical Vcs-*
  * Various fixes on packaging and licenses

 -- François-Régis Vuillemin <frv-debian@miradou.com>  Mon, 03 Mar 2014 17:54:10 +0100

=== debian/control ===
Source: galette-plugin-maps
Section: web
Priority: optional
Maintainer: François-Régis Vuillemin <frv-debian@miradou.com>
Uploaders: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://galette.eu
Vcs-Git: git://anonscm.debian.org/collab-maint/galette-plugin-maps.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/galette-plugin-maps.git

Package: galette-plugin-maps
Architecture: all
Depends: galette (>= 0.7.8), ${misc:Depends}
Description: Openstreetmap plugin for galette
 Galette is a web application for French-speaking associations that
 want to manage their list of members online.
 .
 This plugin allows members to store their location and brings a
 public map of members.

## galette-plugin-maps 1.2

=== debian/changelog ===
galette-plugin-maps (1.2-1) unstable; urgency=medium

  * Imported Upstream version 1.2
  * Update Standards-Version and make depend on galette >= 0.8
  * Changed dir from sql to scripts according to new upstream
  * Fixed missing license short name
  * Add leaflet.js in missing-sources

 -- François-Régis Vuillemin <frv-debian@miradou.com>  Wed, 29 Oct 2014 20:59:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: François-Régis Vuillemin <frv-debian@miradou.com>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://galette.eu
 Vcs-Git: git://anonscm.debian.org/collab-maint/galette-plugin-maps.git
 Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/galette-plugin-maps.git
 
 Package: galette-plugin-maps
 Architecture: all
-Depends: galette (>= 0.7.8), ${misc:Depends}
+Depends: galette (>= 0.8), ${misc:Depends}
 Description: Openstreetmap plugin for galette
  Galette is a web application for French-speaking associations that
  want to manage their list of members online.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1
PLUGIN_DIR = debian/galette-plugin-maps/usr/share/galette/plugins/galette-plugin-maps
%:
	dh $@ 

override_dh_install:
	dh_install -XLICENSE
	# Bug fixed upstream
	chmod a-x $(PLUGIN_DIR)/includes/leaflet-locatecontrol/images/locate_alt.png

=== debian/watch ===
version=3
http://download.tuxfamily.org/galette/plugins/ \
galette-plugin-maps-([\d\.]+)\.tar\.bz2
